

#ifndef MONITOR_H

#define MONITOR_H

#include <stdlib.h>
#include <errno.h>
#include <assert.h>

/* Initialise le moniteur 
*/
extern void init_moniteur(void);


/* Le vehicule est sur un trançon d'échange num_entree
   et souhaite rentrer sur le rond point par
   le tronçon d'échange num_entree.
*/
extern void rentrer(int id_task, int num_entree);


/* Le vehicule est sur un trançon d'échange num_sortie 
   et souhaite sortir du rond point par
   le tronçon de sortie num_sortie.
*/
extern void sortir(int id_task, int num_sortie);


/* Le vehicule avance dans le rond point.
   Le vehicule passe d'un troncon à un autre.
*/
extern void avancer(int id_task);



#endif

